package com.muyu.etl.data.access.domain;

import java.util.Date;
import com.muyu.common.core.annotation.Excel;
import com.muyu.common.core.web.domain.BaseEntity;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.SysDept;
import com.muyu.common.system.domain.SysUser;
import lombok.*;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * 用户和数据库的关联对象 etl_table_user_permission
 *
 * @author muyu
 * @date 2024-09-01
 */


@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("etl_table_user_permission")
@EqualsAndHashCode(callSuper = true)
public class EtlTableUserPermission extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId( type = IdType.AUTO)
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 接入Id */
    @Excel(name = "接入Id")
    private Long basicId;

    /** 表id */
    @Excel(name = "表id")
    private Long tableId;
    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;




    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userId", getUserId())
                .append("databaseId", getBasicId())
                .append("tableId", getTableId())
                .toString();
    }


}
