package com.muyu.etl.data.access.domain.req;


import io.swagger.v3.oas.annotations.media.Schema;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @Author：李庆帅
 * @Package：com.muyu.etl.property.domain.req
 * @Project：cloud-etl-property
 * @name：AssetImpowerReq
 * @Date：2024/8/25 18:40
 *
 * 资产授权请求对象
 */
@Tag(name = "资产授权请求对象")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EtlTableUserPermissionReq {

//    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Schema(type = "Long",defaultValue = "主键",description = "主键，为微服务中文名称")
    private Long id;

    /**
     * 表id
     */
    @Schema(type = "Long",defaultValue = "表id",description = "表id，为微服务中文名称")
    private Long tableId;

    /**
     * 接入id
     */
    @Schema(type = "Long",defaultValue = "接入id",description = "接入id，为微服务中文名称")
    private Long basicId;

    /**
     * 部门id
     */
    @Schema(type = "Long",defaultValue = "部门id",description = "部门id，为微服务中文名称")
    private Long deptId;

    /**
     * 用户id
     */
    @Schema(type = "Long",defaultValue = "用户id",description = "用户id，为微服务中文名称")
    private Long userId;




}
