package com.muyu.etl.data.access.util;

import com.muyu.etl.data.access.contains.Constants;
import org.apache.commons.lang3.ArrayUtils;
import org.springframework.stereotype.Component;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/27 15:21
 * @注释
 */
@Component
public class ProcessJavaType {
    /**
     * 转换sql与java类型
     * @param sqlType sql类型
     * @return java类型
     */
    public static String processJavaType(String sqlType) {
        if (ArrayUtils.contains(Constants.SQL_STRING_TYPE, sqlType)) {
            return Constants.JAVA_STRING_TYPE;
        } else if (ArrayUtils.contains(Constants.SQL_INTEGER_TYPE, sqlType)) {
            return Constants.JAVA_INTEGER_TYPE;
        } else if (ArrayUtils.contains(Constants.SQL_DATE_TIME_TYPE, sqlType) || ArrayUtils.contains(Constants.SQL_DATE_TYPE, sqlType)) {
            return Constants.JAVA_DATE_TYPE;
        } else if (ArrayUtils.contains(Constants.SQL_DECIMAL_TYPE, sqlType)) {
            return Constants.JAVA_BIG_DECIMAL_TYPE;
        } else if (ArrayUtils.contains(Constants.SQL_LONG_TYPE, sqlType)) {
            return Constants.JAVA_LONG_TYPE;
        } else {
            throw new RuntimeException("SQL转Java类型异常");
        }
    }
}
