package com.muyu.etl.data.access.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.etl.data.access.domain.DataAnalysis;
import com.muyu.etl.data.access.remote.factory.RemoteDataAnalysisBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/2 14:35
 * @注释
 */
@FeignClient(contextId = "remoteDataAnalysisService",
        value = ServiceNameConstants.DATA_SERVICE,
        path = "dataAnalysis",
        fallbackFactory = RemoteDataAnalysisBackFactory.class)
public interface RemoteDataAnalysisService {

    @PostMapping("/findDataAnalysisByTableId/{id}")
    Result<List<DataAnalysis>> findDataAnalysisByTableId(@PathVariable("id") Long id);


}
