package com.muyu.etl.data.access.remote;

import com.muyu.common.core.constant.ServiceNameConstants;
import com.muyu.common.core.domain.Result;
import com.muyu.etl.data.access.domain.DataAnalysis;
import com.muyu.etl.data.access.domain.resp.DataSourceResp;
import com.muyu.etl.data.access.remote.factory.RemoteDataAnalysisBackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/2 14:35
 * @注释
 */
@FeignClient(contextId = "remoteDataAnalysisService",
        value = ServiceNameConstants.DATA_SERVICE,
        path = "dataSource")
// TODO 熔断
public interface RemoteDataSourceService {

    @GetMapping("/is-use-datasource")
    public Result<List<DataSourceResp>> getIsUseDataSourceList();


}
