package com.muyu.etl.data.access.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.etl.data.access.domain.EtlTableUserPermission;
import com.muyu.etl.data.access.domain.req.EtlTableUserPermissionReq;

import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/9/1 14:53
 * @注释
 */

public interface EtlTableUserPermissionService extends IService<EtlTableUserPermission> {

    /**
     * 传入用户ID，获取该用户授权的所有表ID和基础ID
     * @param userId 响应参数
     * @return 返回结果
     */
    List<EtlTableUserPermission> findTableIdAndBasicIdByUserId(Long userId);

    /**
     * 传入部门ID，获取该部门下所有授权的表ID和基础ID
     * @param deptId 响应参数
     * @return 返回结果
     */
    List<EtlTableUserPermission> findTableIdAndBasicIdByDeptId(Long deptId);
    /**
     * 查询资产赋权用户信息
     * @param req 响应参数
     * @return 返回结果
     */
    List<Long> findUserIdList(EtlTableUserPermissionReq req);

    /**
     * 删除用户权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    int delUserAssetAccredit(EtlTableUserPermissionReq req);
    /**
     * 查询资产赋权部门信息
     * @param req 响应参数
     * @return 返回结果
     */
    List<Long> findDeptIdList(EtlTableUserPermissionReq req);
    /**
     * 删除部门权限方法
     * @param req 响应参数
     * @return  返回结果
     */
    int delDeptAssetAccredit(EtlTableUserPermissionReq req);

}
