package com.muyu.etl.data.access.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.etl.data.access.mapper.DataAnalysisMapper;
import com.muyu.etl.data.access.service.DataAnalysisService;
import com.muyu.etl.data.access.domain.DataAnalysis;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/28 19:16
 * @注释
 */
@Service
public class DataAnalysisServiceImpl extends ServiceImpl<DataAnalysisMapper, DataAnalysis> implements DataAnalysisService {

    @Resource
    private DataAnalysisMapper dataAnalysisMapper;

    @Override
    public List<DataAnalysis> findStructureByTableId(Long id) {
            LambdaQueryWrapper<DataAnalysis> queryWrapper = new LambdaQueryWrapper<>();
            queryWrapper.eq(DataAnalysis::getTableId,id);
            List<DataAnalysis> list = dataAnalysisMapper.selectList(queryWrapper);
            return list;
        }

    @Override
    public List<DataAnalysis> getTableById(Long id) {
        return dataAnalysisMapper.selectList(new LambdaQueryWrapper<DataAnalysis>().eq(DataAnalysis::getTableId,id));
    }



}
