package com.muyu.etl.data.access.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.muyu.etl.data.access.domain.TableInfo;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.etl.data.access.mapper.TableInfoMapper;
import com.muyu.etl.data.access.service.TableInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @version 1.0
 * @Author xie ya ru
 * @Date 2024/8/28 19:01
 * @注释
 */
@Service
public class TableInfoServiceImpl extends ServiceImpl<TableInfoMapper, TableInfo> implements TableInfoService {

    @Resource
    private TableInfoMapper tableInfoMapper;

    @Override
    public TableInfo selectTableInfoByName(TableInfo tableInfoInsert) {
        LambdaQueryWrapper<TableInfo> tableInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        tableInfoLambdaQueryWrapper.eq(TableInfo::getBasicId, tableInfoInsert.getBasicId());
        tableInfoLambdaQueryWrapper.eq(TableInfo::getTableName, tableInfoInsert.getTableName())
                .eq(TableInfo::getParentId, tableInfoInsert.getParentId());
        return this.tableInfoMapper.selectOne(tableInfoLambdaQueryWrapper);
    }

    @Override
    public List<TableInfo> selectAll(Long userId) {
        return tableInfoMapper.selectAll(userId);
    }

    @Override
    public List<TableInfo> findTableNameById(Long id) {
        LambdaQueryWrapper<TableInfo> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.eq(TableInfo::getId, id);
        List<TableInfo> list = tableInfoMapper.selectList(queryWrapper);
        return list;
    }

    @Override
    public Long getAmount(String tableName) {
        return tableInfoMapper.getAmount(tableName);
    }
}
